Subject: Re: [RFC/PATCH] remove unneeded check in bcm43xx

From: Michael Buesch <[email-masked]>
Date: Mon, 10 Apr 2006 06:28:00 +0200

On Monday 10 April 2006 06:22, you wrote:
> Either the ppc code is wrong (it doesn't enforce dma_mask) either the
> driver still works without the check.
> 
> Maybe ppc should do the same thing as i386:
> 
> 47         if (dev == NULL || (dev->coherent_dma_mask < 0xffffffff))
> 48                 gfp |= GFP_DMA;

No, GFP_DMA is a NOP on PPC.
Actually the problems seems much more complex and a correct fix
seems to be hard to do.
I think benh is actually fixing this.

To summerize: I actually added these messages, because people were
hitting "this does not work with >1G" issues and did not get an error message.
So I decided to insert warnings until the issue is fixed inside the arch code.
I will remove them once the issue is fixed.

-- 
Greetings Michael.